clean man lint warnings in bin/
ClosedPublic

Authored by yuripv_gmx.com on Dec 2 2017, 4:54 AM.

Details

Summary

Cleanup warnings reported by mandoc -Tlint -Wwarning for bin/.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
yuripv_gmx.com created this revision.Dec 2 2017, 4:54 AM
bjk added a subscriber: bjk.Dec 2 2017, 6:22 PM
bjk added inline comments.
bin/cat/cat.1
198 ↗(On Diff #36092)

I do not really like going backwards from markup to no-markup.
How about "It appears to have been for .Nm."?

bin/date/date.1
135 ↗(On Diff #36092)

"using", while you're here.

bin/kenv/kenv.1
95 ↗(On Diff #36092)

This comma could be removed while you're here.

96 ↗(On Diff #36092)

There is a .Sq macro for single quotes around things, but maybe that is too much churn to ask you to add into here (as there are several uses visbile in the context).

bin/rm/rm.1
237 ↗(On Diff #36092)

I attempted to verify that the "posix 1003.1 edition 2013" referred to by bapt in the message for r290480 corresponds to this, but don't have full confidence in wikipedia for this role. Can you say what verification you did?

bin/sh/sh.1
1036 ↗(On Diff #36092)

It seems to work just as well if the "Ns" is dropped entirely, per line 1322's behavior when rendered.

changes requested by bjk.

yuripv_gmx.com marked 4 inline comments as done.Dec 2 2017, 6:49 PM
yuripv_gmx.com added inline comments.
bin/rm/rm.1
237 ↗(On Diff #36092)

The problem is that "-p1003.1-2013" didn't render at all. If I understand it correctly, 2013 edition incorporates the Technical Corrigendum 1 for 2008 one, and looking at 2016 edition I see only the "POSIX.1-2008, Technical Corrigendum 2, XCU/TC2-2008/0163 [542], XCU/TC2-2008/0164 [819], and XCU/TC2-2008/0165 [542] are applied." listed in Change History, so it's my *guess* that saying "-p1003.1-2008" should be enough here.

yuripv_gmx.com marked an inline comment as done.Dec 2 2017, 6:50 PM
bjk accepted this revision.Dec 2 2017, 7:17 PM
This revision is now accepted and ready to land.Dec 2 2017, 7:17 PM
jilles added inline comments.Dec 2 2017, 11:03 PM
bin/rm/rm.1
237 ↗(On Diff #36092)

Although -p1003.1-2008 should suffice in this particular case, I think it makes more sense to add the 2013 and 2016 versions to the list of versions.

yuripv_gmx.com added inline comments.
bin/rm/rm.1
237 ↗(On Diff #36092)

OK, I've created D13349 just so this isn't forgotten.

bjk added a comment.Dec 5 2017, 2:04 AM

Hmm, am I supposed to commit this, now?

I hope so, yes :-) but let me remove the rm(1) change WRT the .St, which is fixed by bapt adding the standard to st.in already.

remove rm(1) changes as fixed in mandoc itself

This revision now requires review to proceed.Dec 5 2017, 2:13 AM
bjk added inline comments.Dec 5 2017, 8:10 PM
bin/kenv/kenv.1
94 ↗(On Diff #36212)

Confusingly, "whitespace" is both the singular and the plural, so no extra 's' is needed.

jilles accepted this revision.Dec 5 2017, 8:13 PM
This revision is now accepted and ready to land.Dec 5 2017, 8:13 PM

s/whitespaces/whitespace/.

This revision now requires review to proceed.Dec 5 2017, 10:56 PM
yuripv_gmx.com marked an inline comment as done.Dec 5 2017, 10:56 PM
Closed by commit rS326651: Fix mandoc -Tlint warnings in bin/ (authored by bjk, committed by ). · Explain WhyDec 7 2017, 1:57 AM
This revision was automatically updated to reflect the committed changes.
imp added a comment.Dec 7 2017, 1:58 AM

Just a question: Was the non-bumping of .Dd intentional or an oversight?

bjk added a comment.Dec 7 2017, 2:03 AM
In D13334#280007, @imp wrote:

Just a question: Was the non-bumping of .Dd intentional or an oversight?

Oversight, though almost all of the changes do not affect the rendered version, and the ones that do are sufficiently minor that I don't plan to do a follow-up.
Thanks for the reminder!

imp added a comment.Dec 7 2017, 2:05 AM
In D13334#280008, @bjk wrote:
In D13334#280007, @imp wrote:

Just a question: Was the non-bumping of .Dd intentional or an oversight?

Oversight, though almost all of the changes do not affect the rendered version, and the ones that do are sufficiently minor that I don't plan to do a follow-up.
Thanks for the reminder!

Sure. Just wanted to make sure it was intentional, and if not some intentional decision made. I'm cool with this outcome, btw, since I agree these are minor.

In D13334#280009, @imp wrote:
In D13334#280008, @bjk wrote:
In D13334#280007, @imp wrote:

Just a question: Was the non-bumping of .Dd intentional or an oversight?

Oversight, though almost all of the changes do not affect the rendered version, and the ones that do are sufficiently minor that I don't plan to do a follow-up.
Thanks for the reminder!

Sure. Just wanted to make sure it was intentional, and if not some intentional decision made. I'm cool with this outcome, btw, since I agree these are minor.

Yes, it was intentional, as my understanding is that date bump is required for *content* changes, and not simple markup fixes.